package es.ua.jtech.cw.sesion03.ejemplos;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

// Servlet ejemplo de gestion de sesiones 

public class ServletSesiones extends HttpServlet
{
	// Metodo para GET
	
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
	{
		HttpSession sesion = request.getSession();

		response.setContentType("text/html");
		response.setHeader("Cache-Control", "no-cache");
		
		PrintWriter out = response.getWriter();

		if (sesion.isNew())
		{
			// Mostramos un mensaje de primera visita

			out.println ("<HTML>");			
			out.println ("<BODY>");			
			out.println ("Hola, esta es tu primera visita a la pagina en esta sesion");			
			out.println ("<BR>");
			out.println ("</BODY>");			
			out.println ("</HTML>");			
			
			sesion.setAttribute("contador", new Integer(1));
			
		} else {

			// Mostramos el numero de visitas y actualizamos el contador
			
			int contador = ((Integer)(sesion.getAttribute("contador"))).intValue();
			contador++;

			out.println ("<HTML>");			
			out.println ("<BODY>");			
			out.println ("Hola, esta es tu visita numero " + contador + " a la pagina en esta sesion");			
			out.println ("<BR>");
			out.println ("</BODY>");			
			out.println ("</HTML>");			
			
			sesion.setAttribute("contador", new Integer(contador));			
		}		
	}	
}
